Groovy 1.7.0

## org.codehaus.groovy.classgen
Class VariableScopeVisitor.StateStackElement

    java.lang.Object
      org.codehaus.groovy.classgen.VariableScopeVisitor.StateStackElement

    class VariableScopeVisitor.StateStackElement

Field Summary
`ClassNode` | `clazz`
`boolean` | `closure`
`boolean` | `inConstructor`
`VariableScope` | `scope`

Constructor Summary
`VariableScopeVisitor.StateStackElement()`

Method Summary

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### clazz

    ClassNode clazz

### closure

    boolean closure

### inConstructor

    boolean inConstructor

### scope

    VariableScope scope

Constructor Detail

### VariableScopeVisitor.StateStackElement

    public VariableScopeVisitor.StateStackElement()

Copyright © 2003-2009 The Codehaus. All rights reserved.